{% extends 'layouts/base.html' %}

{% block js %}
    {% load static %}
    <script src="{% static 'board/js/js.cookie.js' %}"></script>
    <script src="{% static 'board/js/relation.js' %}"></script>
    <script src="{% static 'board/js/home.js' %}"></script>
{% endblock %}

{% block content %}
    {% if success_create %}
        <div class="notification is-primary">
            <i class="fa-solid fa-circle-check"></i>
            Заметка успешно создана
        </div>
    {% endif %}

    {% if is_authenticated %}

        <div class="content m-3">
            <h1> Фильтр </h1>
        </div>
        <div class="select m-3">
            <select id="order-filter">
                {% for order in order_types %}
                    <option data-id="{{ order.id }}" id="{{ order.id }}">{{ order.title }}</option>
                {% endfor %}
            </select>
        </div>
        {% if is_client %}
            <div class="content m-3">
                <h1> Мои заказы </h1>
            </div>
            <a href="create">
                <button class="button is-success m-3">
                    <i class="fa-solid fa-plus"></i> &nbsp; Добавить объявление
                </button>
            </a>

            <div class="select m-3">
                <select>
                    {% for order in order_types %}
                        <option id="{{ order.id }}">{{ order.title }}</option>
                    {% endfor %}
                </select>
            </div>
            <div class="columns is-gapless is-multiline">
                {% for order in orders %}
                    {% include 'includes/order_view.html' with order=order full=full %}
                {% endfor %}
            </div>
        {% endif %}

        {% if is_executor %}
            <div class="columns is-gapless is-multiline">
                {% for order in orders %}
                    {% include 'includes/order_view.html' with order=order full=full add_get_button=is_executor %}
                {% endfor %}
            </div>
        {% endif %}

    {% endif %}

    {% if not is_authenticated %}
        <div class="buttons">
            <a href="/auth/register?type=1"
               class="button is-primary">
                <strong>Регистрация для клиента</strong>
            </a>
        </div>
        <div class="buttons">
            <a href="/auth/register?type=2"
               class="button is-warning">
                <strong>Регистрация для исполнителя</strong>
            </a>
        </div>
        <div class="buttons">
            <a href="/auth/login"
               class="button is-light">
                Войти
            </a>
        </div>
    {% endif %}

{% endblock %}